%{?nodejs_find_provides_and_requires}

%global packagename d
%global enable_tests 0
# tests disabled due to missing npm(tad) test suite, which has a dependency on
# this package

Name:		nodejs-d
Version:	1.0.0
Release:	1%{?dist}
Summary:	Property descriptor factory

License:	MIT
URL:		https://github.com/medikoo/d.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tad)
%endif

%description
Property descriptor factory


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%{__nodejs} -e 'require("./")'
%{__nodejs} %{nodejs_sitelib}/tad/bin/tad
%else
echo "Tests are disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md CHANGES
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Dec 18 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Update to upstream 1.0.0 release
- Temporarily move self-test to bootstrap

* Tue Nov 10 2015 Jared Smith <jsmith@fedoraproject.org> - 0.1.1-2
- Initial packaging
